#!/bin/sh

VER=3				# 2008-12-30		New
					# ./autosave.sh $1
					# $1 : 0 -- normal
					# $1 : 1 -- clear autosave.data


atsave(){
	local findresult="`grep "$1=" /home/PDH/autosave.data | cut -f2 -d"="`";
	local old=${findresult};
	sed -i -e "s|$1=$old|$1=$2|g" /home/PDH/autosave.data
}

if [ $1 = '1' ]; then
	atsave AUTOSAVE_IDU_UPTIME 0
	atsave AUTOSAVE_IDU_STAT_BER_W 0
	atsave AUTOSAVE_IDU_STAT_EB_W 0
	atsave AUTOSAVE_IDU_STAT_EBS_W 0
	atsave AUTOSAVE_IDU_STAT_SES_W 0
	atsave AUTOSAVE_IDU_STAT_TIME_W 0
	atsave AUTOSAVE_IDU_STAT_BER_E 0
	atsave AUTOSAVE_IDU_STAT_EB_E 0
	atsave AUTOSAVE_IDU_STAT_EBS_E 0
	atsave AUTOSAVE_IDU_STAT_SES_E 0
	atsave AUTOSAVE_IDU_STAT_TIME_E 0
else
	# save uptime
	st=`grep "AUTOSAVE_IDU_UPTIME=" /home/PDH/autosave.data | cut -f2 -d"="`
#	echo -n "st : " $st
#	echo ""
#	ut=`cat /proc/uptime | cut -f1 -d" " | cut -f1 -d"."`
	ut=60
#	echo -n "ut : " $ut
#	echo ""
	uptime=$(($st+$ut))
#	echo -n "uptime : " $uptime
#	echo ""
	atsave AUTOSAVE_IDU_UPTIME $uptime
	# save ber west
	ber_w=`/home/PDH/query_idu.sh 0x0422 | cut -f2 -d" "`
#	echo $ber_w
	atsave AUTOSAVE_IDU_STAT_BER_W $ber_w
	# save eb west
	eb_w=`/home/PDH/query_idu.sh 0x0423 | cut -f2 -d" "`
#	echo $eb_w
	atsave AUTOSAVE_IDU_STAT_EB_W $eb_w
	# save ebs west
	ebs_w=`/home/PDH/query_idu.sh 0x0433 | cut -f2 -d" "`
#	echo $ebs_w
	atsave AUTOSAVE_IDU_STAT_EBS_W $ebs_w
	# save ses west
	ses_w=`/home/PDH/query_idu.sh 0x0434 | cut -f2 -d" "`
#	echo $ses_w
	atsave AUTOSAVE_IDU_STAT_SES_W $ses_w
	# save time west
	time_w=`/home/PDH/query_idu.sh 0x0424 | cut -f2 -d" "`
#	echo $time_w
	atsave AUTOSAVE_IDU_STAT_TIME_W $time_w
	# save ber east
	ber_e=`/home/PDH/query_idu.sh 0x0426 | cut -f2 -d" "`
#	echo $ber_e
	atsave AUTOSAVE_IDU_STAT_BER_E $ber_e
	# save eb east
	eb_e=`/home/PDH/query_idu.sh 0x0427 | cut -f2 -d" "`
#	echo $eb_e
	atsave AUTOSAVE_IDU_STAT_EB_E $eb_e
	# save ebs east
	ebs_e=`/home/PDH/query_idu.sh 0x0435 | cut -f2 -d" "`
#	echo $ebs_e
	atsave AUTOSAVE_IDU_STAT_EBS_E $ebs_e
	# save ses east
	ses_e=`/home/PDH/query_idu.sh 0x0436 | cut -f2 -d" "`
#	echo $ses_e
	atsave AUTOSAVE_IDU_STAT_SES_E $ses_e
	# save time east
	time_e=`/home/PDH/query_idu.sh 0x0428 | cut -f2 -d" "`
#	echo $time_e
	atsave AUTOSAVE_IDU_STAT_TIME_E $time_e
fi

