#!/bin/sh

VER=0.0.3			# 2008-01-20  set ODU_W/E : channel , txpower . rxalarmlevel , txswitch
						#				  set IDU : mode , E1NumWest , E1NumEast , EthWest , EthEast , Xc
VER=0.0.4			# 2008-01-22  set Local IP	
VER=0.0.5			# 2008-01-23  set SwitchMode( HSB /FD )
VER=0.0.6			# 2008-01-30	set AOV_W , AOV_E / set BranchSel / set TxMode / Set Force Tx / Set Force Rx
VER=0.0.7			# 2008-01-30	Initializtion ODU and FPGA according diff ProtectMode
VER=0.0.8			# 2008-01-31	change TXMODE_IDU to TXMOD
VER=0.0.9			# 2008-02-20	modify set XC
VER=0.0.10			# 2008-02-28	modify 1+1 mode , HSB and FD
VER=0.0.11			# 2008-03-27	modify "set 0x0A01 bug"
VER=0.0.12			# 2008-03-27	at beginning  , if 2+0 , setXC
VER=0.0.13			# 2008-04-14	agent_setup instead of setup_idu(odu).sh
VER=0.0.14			# 2008-04-24	Add Set ATPC ATPC_MAX ATPC_MIN in different Mode
VER=0.0.15			# 2008-04-29	Configurate APTC on/off base on PDH_IDU.conf
VER=0.0.16			# 2008-04-29	Modify Config 1+0 Mode , Set TxSwitchEast: OFF
VER=0.0.17			# 2008-06-03	Set SwithcMode of diff ProtectMode indenpendently
VER=0.0.18			# 2008-06-06	copy ./PDH/root to /var/spool/cron/crontabs
VER=0.0.19			# 2008-06-30	Add SetSYSPara() ,  Add SetFPGAPara() , Add SetODUPara() , instead of agent_setup directly
VER=0.0.20A			# 2008-07-14 Add Setup Local Site Name to Daemon 
VER=0.0.20B			# 2008-07-14  SetFPGAPara() and SetODUPara() in 2+0 mode
VER=0.0.21			# 2008-07-29	Set NMS_Ver to Daemon
VER=0.0.22			# 2008-08-11 update ptf_v47 , update ptf -> ptf_v47
VER=0.0.23			# modify NMSVER format , modify extract NMSVER method
VER=0.0.24			# 2008-09-10 Teacher's Day . delete Log_Type_Debug log.
VER=0.0.25			# 2009-01-07 config dry contact ; config ethernet port
VER=0.0.26			# 2009-02-18 for SP2-NMS_0031
VER=0.0.27			# 2009-04-23 for SP2-NMS_0032
VER=0.0.28			# 2009-04-29 for SP2-Test-20090429_V0033
VER=0.0.29			# 2009-05-04 for SP2-NMS_V0033 ( fix bug : SP2-Test-20090429_V0033 )
VER=0.0.30			# 2009-05-07 for SP2-Test-20090507_V0034
VER=0.0.31			# 2009-05-18 for SP2-NMS_V0034
VER=0.0.32			# 2009-06-22 for SP2-NMS_V0035
VER=0.0.32A			# 2009-08-20 for SP2-NMS-R4_V0035 . add update config file , but bugs remain.


SetSYSPara(){
	echo ""
}

SetFPGAPara(){
	echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>"
	echo  -n "Agent Setup "  $1 $2
	echo ""
	/home/PDH/agent_setup $1 $2
	read_data=`/home/PDH/agent_query $1 | cut -f2 -d" "`
	echo -n "read_data" $read_data
	echo ""
	if [ $read_data = $2 ]; then
		echo -n "Set FPGA " $1  $2 "Success ----" $read_data 
		echo ""
		echo "<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<"
	else
		echo -n "Set FPGA " $1 $2 "Fail ----- " $read_data
		echo ""
		echo "Try 1"
		
		echo  -n "Agent Setup "  $1 $2
		echo ""
		/home/PDH/agent_setup $1 $2
		read_data=`/home/PDH/agent_query $1 | cut -f2 -d" "`
		echo -n "read_data" $read_data
		echo ""
		if [ $read_data = $2 ]; then
			echo -n "Set FPGA " $1  $2 "Success ----" $read_data 
			echo ""
			echo "<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<"
		else
			echo -n "Set FPGA " $1 $2 "Fail ----- " $read_data
			echo ""
			echo "Try 2"
			
			echo  -n "Agent Setup "  $1 $2
			echo ""
			/home/PDH/agent_setup $1 $2
			read_data=`/home/PDH/agent_query $1 | cut -f2 -d" "`
			echo -n "read_data" $read_data
			echo ""
			if [ $read_data = $2 ]; then
				echo -n "Set FPGA " $1  $2 "Success ----" $read_data 
				echo ""
				echo "<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<"
			else
				echo -n "Set FPGA " $1 $2 "Fail ----- " $read_data
				echo ""
				#
				# log
				#
				#/home/PDH/log.sh Log_Type_DEBUG 0x0A05 $1
				echo "<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<"
			fi
		fi
	fi
}

SetODUPara(){
	echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>"
	echo  -n "Agent Setup "  $1 $2
	echo ""
	/home/PDH/agent_setup $1 $2
	read_data=`/home/PDH/agent_query $1 | cut -f2 -d" "`
	echo -n "read_data" $read_data
	echo ""
	if [ $read_data = $2 ]; then
		echo -n "Set ODU " $1  $2 "Success ----" $read_data 
		echo ""
		echo "<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<"
	else
		echo -n "Set ODU " $1 $2 "Fail ----- " $read_data
		echo ""
		# delay 0.5s
		usleep 500000
		echo "Try 1"
		echo  -n "Agent Setup "  $1 $2
		echo ""
		/home/PDH/agent_setup $1 $2
		read_data=`/home/PDH/agent_query $1 | cut -f2 -d" "`
		echo -n "read_data" $read_data
		echo ""
		if [ $read_data = $2 ]; then
			echo -n "Set ODU " $1  $2 "Success ----" $read_data 
			echo ""
			echo "<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<"
		else
			echo -n "Set ODU " $1 $2 "Fail ----- " $read_data
			echo ""
			echo "Try 2"
			# delay 0.5s
			usleep 500000
			echo  -n "Agent Setup "  $1 $2
			echo ""
			/home/PDH/agent_setup $1 $2
			read_data=`/home/PDH/agent_query $1 | cut -f2 -d" "`
			echo -n "read_data" $read_data
			echo ""
			if [ $read_data = $2 ]; then
				echo -n "Set ODU " $1  $2 "Success ----" $read_data 
				echo ""
				echo "<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<"
			else
				echo -n "Set ODU " $1 $2 "Fail ----- " $read_data
				echo ""
				#
				# log
				#
				#/home/PDH/log.sh Log_Type_DEBUG 0x0A05 $1
				echo "<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<"
			fi
		fi
	fi
}

#####################################################################
#																				#
# Setup SYS																	#
#																				#
#####################################################################
cfg_SYS_IP=`/home/PDH/query_sys.sh 0x010F | cut -f2 -d" "`
echo -n " Setup Local IP : " $cfg_SYS_IP
/home/PDH/agent_setup 0x0A01 $cfg_SYS_IP
echo ""

cfg_SYS_SiteName=`/home/PDH/query_sys.sh 0x0103 | cut -f2 -d" "`
echo -n "Setup Local Site Name : " $cfg_SYS_SiteName
/home/PDH/agent_setup 0x0A0C $cfg_SYS_SiteName
echo ""

cfg_SYS_NMSVer=`/home/PDH/query_sys.sh 0x0104 | cut -f2 -d"_" | tail -c 5`
echo -n "Setup NMS Ver : " $cfg_SYS_NMSVer
/home/PDH/agent_setup 0x0A0E $cfg_SYS_NMSVer
echo ""


# Set Daemon PortectMode
cfg_IDU_mode=`grep "MODE_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
echo -n "Setup IDU Protect Mode : " $cfg_IDU_mode
echo ""
SetFPGAPara 0x0402 $cfg_IDU_mode
echo ""

# at begining , if 2+0 , setXC
if [ $cfg_IDU_mode = '2' ]; then
	# Set Daemon Xc
	cfg_IDU_xc=`grep "XC_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Setup IDU Xc : " $cfg_IDU_xc
	/home/PDH/setup_xc.sh 0x041F $cfg_IDU_xc
	echo ""
fi

# Set Daemon SwitchMode
cfg_IDU_SM=`grep "SWITCH_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
echo -n "Setup IDU SwitchMode : " $cfg_IDU_SM
echo ""
SetFPGAPara 0x040F $cfg_IDU_SM
echo ""
# Set Daemon Local E1 Number
cfg_IDU_E1NumLocal=`grep "E1_NUM_L_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
echo -n "Setup IDU Local E1 Number : " $cfg_IDU_E1NumLocal
## no set entrance
echo ""
# Set Daemon West E1 Number
cfg_IDU_E1NumWest=`grep "E1_NUM_W_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
echo -n "Setup IDU West E1 Number : " $cfg_IDU_E1NumWest
echo ""
SetFPGAPara 0x0419 $cfg_IDU_E1NumWest
echo ""
# Set Daemon East E1 Number
cfg_IDU_E1NumEast=`grep "E1_NUM_E_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
echo -n "Setup IDU East E1 Number : " $cfg_IDU_E1NumEast
/home/PDH/agent_setup 0x041C $cfg_IDU_E1NumEast
echo ""
# Set Daemon West Eth
cfg_IDU_EthWest=`grep "ETH_CFG_W_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
echo -n "Setup IDU West Eth Cfg : " $cfg_IDU_EthWest
echo ""
SetFPGAPara 0x041A $cfg_IDU_EthWest
echo ""
# Set Daemon East Eth
cfg_IDU_EthEast=`grep "ETH_CFG_E_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
echo -n "Setup IDU East Eth Cfg : " $cfg_IDU_EthEast
echo ""
SetFPGAPara 0x041D $cfg_IDU_EthEast
echo ""
######################################################################
#																				#
# 1 + 0 																                        #
# 																				#
######################################################################
if [ $cfg_IDU_mode = '0' ]; then
	#----------------------- ODU West ------------------------------------------------------------------------------------------------------------
	# Set Daemon West ODU Channel
	cfg_channel_w=`grep "CHANNEL_WEST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Set ODU West Channel : " $cfg_channel_w
	echo ""
	SetODUPara 0x0603 $cfg_channel_w
	echo ""
	# Set Daemon West ODU TxPower
	cfg_txpower_w=`grep "TXPOWER_WEST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Set ODU West Txpower : " $cfg_txpower_w
	echo ""
	SetODUPara 0x0604 $cfg_txpower_w
	echo ""
	# Set Daemon West ODU RxAlarmLevel
	cfg_rxalarmlevel_w=`grep "RXALARMLEVEL_WEST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Set ODU West RxAlarmLevel : " $cfg_rxalarmlevel_w
	echo ""
	SetODUPara 0x061F $cfg_rxalarmlevel_w
	echo ""
	# Set Daemon West ODU TxSwitch
	cfg_txswitch_w=`grep "TXSWITCH_WEST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Set ODU West TxSwitch : " $cfg_txswitch_w
	echo ""
	SetODUPara 0x0620 $cfg_txswitch_w
	echo ""
	# Set Deamon East ODU TxSwitch OFF
	echo -n "Set ODU East TxSwotch : " "0"
	echo ""
	SetODUPara 0x0520 0
	echo ""
	# --------------------------- FPGA ------------------------------------------------------------------------------------------------------------
	# Set Daemon PortectMode : 1 + 0
	##cfg_IDU_mode=`grep "MODE_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Setup IDU Protect Mode : " '0'
	echo ""
	SetFPGAPara 0x0402 0
	echo ""	
	# Set Daemon SwitchMode : 2 (NONE)
	echo "Setup IDU SwitchMode :  2" 
	echo ""
	SetFPGAPara 0x040F 2
	echo ""
	# Set Daemon TxMode : Tx_West
	##cfg_IDU_TxMode=`grep "TXMOD=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Setup TxMode : " '1'
	echo ""
	SetFPGAPara 0x040E 1
	echo ""
	# Set Daemon BranchSel : Rx_West
	##cfg_IDU_BRANCHSEL=`grep "BRANCHSEL_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Setup BranchSel : " '0'
	echo ""
	SetFPGAPara 0x040D 0
	echo ""
	# Set Daemon AOV West
	cfg_IDU_AOV_W=`grep "AOV_W_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Setup AOV West : " $cfg_IDU_AOV_W
	echo ""
	SetFPGAPara 0x0409 $cfg_IDU_AOV_W
	echo ""
	# Set Daemon ATPC West 
	cfg_IDU_ATPC_WEST=`grep "ATPC_WEST_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Setup ATPC West : " $cfg_IDU_ATPC_WEST
	echo ""
	SetFPGAPara 0x0420 $cfg_IDU_ATPC_WEST
	echo ""
	# Set Daemon ATPC MAX ReLevel West
	cfg_IDU_ATPC_Max_RxLevel_West=`grep "ATPC_MAX_RXLEVEL_WEST_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Setup ATPC West MAX RxLevel : " $cfg_IDU_ATPC_Max_RxLevel_West
	echo ""
	SetFPGAPara 0x042A $cfg_IDU_ATPC_Max_RxLevel_West
	echo ""
	# Set Daemon ATPC MIN RxLevel West
	cfg_IDU_ATPC_Min_RxLevel_West=`grep "ATPC_MIN_RXLEVEL_WEST_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Setup ATPC West MIN RxLevel : " $cfg_IDU_ATPC_Min_RxLevel_West
	echo ""
	SetFPGAPara 0x042B $cfg_IDU_ATPC_Min_RxLevel_West
	echo ""
fi
######################################################################
#																				#
# 1 + 1 																                        #
# 																				#
######################################################################
if [ $cfg_IDU_mode = '1' ]; then
	# Set Daemon AOV West
	cfg_IDU_AOV_W=`grep "AOV_W_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Setup AOV West : " $cfg_IDU_AOV_W
	echo ""
	SetFPGAPara 0x0409 $cfg_IDU_AOV_W
	echo ""
	# Set Daemon AOV East
	cfg_IDU_AOV_E=`grep "AOV_E_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Setup AOV East : " $cfg_IDU_AOV_E	
	echo ""
	SetFPGAPara 0x040A $cfg_IDU_AOV_E
	echo ""
	# Set Daemon ATPC West 
	cfg_IDU_ATPC_WEST=`grep "ATPC_WEST_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Setup ATPC West : " $cfg_IDU_ATPC_WEST
	echo ""
	SetFPGAPara 0x0420 $cfg_IDU_ATPC_WEST
	echo ""
	# Set Daemon ATPC MAX ReLevel West
	cfg_IDU_ATPC_Max_RxLevel_West=`grep "ATPC_MAX_RXLEVEL_WEST_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Setup ATPC West MAX RxLevel : " $cfg_IDU_ATPC_Max_RxLevel_West
	echo ""
	SetFPGAPara 0x042A $cfg_IDU_ATPC_Max_RxLevel_West
	echo ""
	# Set Daemon ATPC MIN RxLevel West
	cfg_IDU_ATPC_Min_RxLevel_West=`grep "ATPC_MIN_RXLEVEL_WEST_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Setup ATPC West MIN RxLevel : " $cfg_IDU_ATPC_Min_RxLevel_West
	echo ""
	SetFPGAPara 0x042B $cfg_IDU_ATPC_Min_RxLevel_West
	echo ""
	# Set Daemon ATPC East 
	cfg_IDU_ATPC_EAST=`grep "ATPC_EAST_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Setup ATPC East : " $cfg_IDU_ATPC_EAST
	echo ""
	SetFPGAPara 0x0429 $cfg_IDU_ATPC_EAST
	echo ""
	# Set Daemon ATPC MAX ReLevel East
	cfg_IDU_ATPC_Max_RxLevel_East=`grep "ATPC_MAX_RXLEVEL_EAST_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Setup ATPC East MAX RxLevel : " $cfg_IDU_ATPC_Max_RxLevel_East
	echo ""
	SetFPGAPara 0x042C $cfg_IDU_ATPC_Max_RxLevel_East
	echo ""
	# Set Daemon ATPC MIN RxLevel East
	cfg_IDU_ATPC_Min_RxLevel_East=`grep "ATPC_MIN_RXLEVEL_EAST_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Setup ATPC East MIN RxLevel : " $cfg_IDU_ATPC_Min_RxLevel_East
	echo ""
	SetFPGAPara 0x042D $cfg_IDU_ATPC_Min_RxLevel_East
	echo ""
	# FD Mode : 
	#			ODU West Tx  : On
	#			ODu East Tx  : On
	#			IDU Force TX : None
	#			IDU TxMode   : West and East
	#			IDU Force Rx : Base on PDH_IDU.conf
	#			IDU Actice Rx: Base on ForceRx
	if [ $cfg_IDU_SM = '1' ]; then
		#----------------------- ODU West -----------------------------------------------
		# Set Daemon West ODU Channel
		cfg_channel_w=`grep "CHANNEL_WEST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
		echo -n "Set ODU West Channel : " $cfg_channel_w
		echo ""
		SetODUPara 0x0603 $cfg_channel_w
		echo ""
		# Set Daemon West ODU TxPower
		cfg_txpower_w=`grep "TXPOWER_WEST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
		echo -n "Set ODU West Txpower : " $cfg_txpower_w
		echo ""
		SetODUPara 0x0604 $cfg_txpower_w
		echo ""
		# Set Daemon West ODU RxAlarmLevel
		cfg_rxalarmlevel_w=`grep "RXALARMLEVEL_WEST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
		echo -n "Set ODU West RxAlarmLevel : " $cfg_rxalarmlevel_w
		echo ""
		SetODUPara 0x061F $cfg_rxalarmlevel_w
		echo ""
		# Set Daemon West ODU TxSwitch
		cfg_txswitch_w=`grep "TXSWITCH_WEST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
		echo -n "Set ODU West TxSwitch : " $cfg_txswitch_w
		echo ""
		SetODUPara 0x0620 $cfg_txswitch_w
		echo ""
		#----------------------- ODU East -----------------------------------------------
		# Set Daemon East ODU Channel
		cfg_channel_e=`grep "CHANNEL_EAST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
		echo -n "Set ODU East Channel : " $cfg_channel_e
		echo ""
		SetODUPara 0x0503 $cfg_channel_e
		echo ""
		# Set Daemon East ODU TxPower
		cfg_txpower_e=`grep "TXPOWER_EAST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
		echo -n "Set ODU East Txpower : " $cfg_txpower_e
		echo ""
		SetODUPara 0x0504 $cfg_txpower_e
		echo ""
		# Set Daemon East ODU RxAlarmLevel
		cfg_rxalarmlevel_e=`grep "RXALARMLEVEL_EAST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
		echo -n "Set ODU East RxAlarmLevel : " $cfg_rxalarmlevel_e
		echo ""
		SetFPGAPara 0x051F $cfg_rxalarmlevel_e
		echo ""
		#Set Daemon East ODU TxSwitch
		cfg_txswitch_e=`grep "TXSWITCH_EAST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
		echo -n "Set ODU East TxSwitch : " $cfg_txswitch_e
		echo ""
		SetODUPara 0x0520 $cfg_txswitch_e
		echo ""
		# --------------------------- FPGA -----------------------------------------------
		# Set Daemon PortectMode : 1 + 1
		echo -n "Setup IDU Protect Mode : " '1'
		echo ""
		SetFPGAPara 0x0402 1
		echo ""	
		# Set Daemon SwitchMode : 1 (FD)
		echo "Setup IDU SwitchMode :  1" 
		echo ""
		SetFPGAPara 0x040F 1
		echo ""
		# Set Daemon Force Tx : None
		##cfg_IDU_Force_Tx=`grep "FORCE_TX_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
		echo -n "Setup IDU Force Tx : " '0'
		echo ""
		SetFPGAPara 0x0410 0
		echo ""
		# Set Daemon TxMode : West and East
		echo -n "Setup TxMode : " '3'
		echo ""
		SetFPGAPara 0x040E 3
		echo ""
		# Set Daemon Force Rx
		cfg_IDU_Force_Rx=`grep "FORCE_RX_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
		echo -n "Setup IDU Force Rx : " $cfg_IDU_Force_Rx
		echo ""
		SetFPGAPara 0x0411 $cfg_IDU_Force_Rx
		echo ""
		# Force Rx : None
		# ActiveRx West
		if [ $cfg_IDU_Force_Rx = '0' ]; then
			# Set Daemon BranchSel : West
			echo -n "Setup BranchSel : " '0'
			echo ""
			SetFPGAPara 0x040D 0	
			echo ""
		# ForceRx_West : Nothing to do
		elif [$cfg_IDU_Force_Rx = '1' ]; then	
			echo " "
		# ForceRx_East : Nothing to do
		elif [$cfg_IDU_Force_Rx = '2' ]; then
			echo " "
		fi
		echo ""
	# HSB Mode
	#			ForceTx : Base on PDH_IDU.conf
	#				if(ForceTx = West)
	#					ODU_West TxPower=Base on PDH_IDU.conf		
	#					IDU_ForceTx=West	
	#					// ------------- OLD Shit -----------------------------------			
	#					//ODU_West TxSwitch=1 , ODU_West TxPower=Base on PDH_IDU.conf
	#					//ODU_east TxSwitch=0 , ODU_East TxPower= NOT Set
	#					//IDU_TxMode=West
	#					// ------------------------------------------------------------
	#				elseif(ForceTx = East)
	#					ODU_East TxPower=Base on PDH_IDU.conf
	#					IDU_ForceTX=East
	#					// ------------------- OLD Shit ------------------------------
	#					//ODU_West TxSwitch=0 , ODU_West txPower= NOT Set
	#					//ODU_East TxSwitch=1 , ODU_East TxPower=Base on PDH_IDU.conf
	#					//IDU_TxMode=East
	#					// -----------------------------------------------------------
	#				elseif(ForceTx = None) [ Default On West ]
	#					ODU_West TxPower=Base on PDH_IDU.conf
	#					IDu_ForceTx= West
	#					// --------------------- OLD Shit ---------------------------
	#					ODU_West TxSwitch=1 , ODU_West TxPower=Base on PDH_IDU.conf
	#					ODU_east TxSwitch=0 , ODU_East TxPower= NOT Set
	#					IDU_TxMode=None	
	#					// -----------------------------------------------------------				
	#			FoeceRx : Base on PDH_IDU.conf
	#				IDU_ForceRx=Base on PDH_IDU.conf
	#				if(ForceRx = West)
	#					Nothing to do
	#				elseif(ForceRx = East)
	#					Nothing to do
	#				elseif(ForceRx = None) [ Default On West ]
	#					IDU_BranchSel=West
	elif [ $cfg_IDU_SM = '0' ]; then
		# Set Daemon PortectMode : 1 + 1
		echo -n "Setup IDU Protect Mode : " '1'
		echo ""
		SetFPGAPara 0x0402 1
		echo ""	
		# Set Daemon SwitchMode : 0 (HSB)
		echo "Setup IDU SwitchMode :  0" 
		echo ""
		SetFPGAPara 0x040F 0
		echo ""
		cfg_IDU_Force_Tx=`grep "FORCE_TX_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
		# ForceTx OnWest
		if [ $cfg_IDU_Force_Tx = '1' ]; then
			# Set Daemon West ODU Channel
			cfg_channel_w=`grep "CHANNEL_WEST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
			echo -n "Set ODU West Channel : " $cfg_channel_w
			echo ""
			SetODUPara 0x0603 $cfg_channel_w
			echo ""
			# Set Daemon West ODU TxPower
			cfg_txpower_w=`grep "TXPOWER_WEST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
			echo -n "Set ODU West Txpower : " $cfg_txpower_w
			echo ""
			SetODUPara 0x0604 $cfg_txpower_w	
			echo ""
			# Set Daemon West ODU RxAlarmLevel
			cfg_rxalarmlevel_w=`grep "RXALARMLEVEL_WEST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
			echo -n "Set ODU West RxAlarmLevel : " $cfg_rxalarmlevel_w
			echo ""
			SetODUPara 0x061F $cfg_rxalarmlevel_w
			echo ""
			# Set Daemon West ODU TxSwitch : ON
			##cfg_txswitch_w=`grep "TXSWITCH_WEST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
			echo -n "Set ODU West TxSwitch : " "1"
			echo ""
			SetODUPara 0x0620 1
			echo ""
			#Set Daemon East ODU TxSwitch : OFF
			##cfg_txswitch_e=`grep "TXSWITCH_EAST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
			echo -n "Set ODU East TxSwitch : " "0"
			echo ""
			SetODUPara 0x0520 0
			echo ""
			# Set Daemon ForceTx : West
			echo -n "Setup IDU Force Tx : " $cfg_IDU_Force_Tx
			echo ""
			SetFPGAPara 0x0410 $cfg_IDU_Force_Tx
			echo ""
		# ForceTx On East
		elif [ $cfg_IDU_Force_Tx = '2' ]; then
			# Set Daemon East ODU Channel
			cfg_channel_e=`grep "CHANNEL_EAST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
			echo -n "Set ODU East Channel : " $cfg_channel_e
			echo ""
			SetODUPara 0x0503 $cfg_channel_e
			echo ""
			# Set Daemon East ODU TxPower
			cfg_txpower_e=`grep "TXPOWER_EAST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
			echo -n "Set ODU East Txpower : " $cfg_txpower_e
			echo ""
			SetODUPara 0x0504 $cfg_txpower_e
			echo ""
			# Set Daemon East ODU RxAlarmLevel
			cfg_rxalarmlevel_e=`grep "RXALARMLEVEL_EAST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
			echo -n "Set ODU East RxAlarmLevel : " $cfg_rxalarmlevel_e
			echo ""
			SetFPGAPara 0x051F $cfg_rxalarmlevel_e
			echo ""
			#Set Daemon East ODU TxSwitch : ON
			##cfg_txswitch_e=`grep "TXSWITCH_EAST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
			echo -n "Set ODU East TxSwitch : " "1"
			echo ""
			SetODUPara 0x0520 1
			echo ""
			# Set Daemon West ODU TxSwitch : OFF
			##cfg_txswitch_w=`grep "TXSWITCH_WEST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
			echo -n "Set ODU West TxSwitch : " "0"
			echo ""
			SetODUPara 0x0620 0
			echo ""
			# Set Daemon ForceTx : East
			echo -n "Setup IDU Force Tx : " $cfg_IDU_Force_Tx
			echo ""
			SetFPGAPara 0x0410 $cfg_IDU_Force_Tx
			echo ""
		# ForceTx On None ( Default on West )
		elif [ $cfg_IDU_Force_Tx = '0' ]; then
			# Set Daemon West ODU Channel
			cfg_channel_w=`grep "CHANNEL_WEST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
			echo -n "Set ODU West Channel : " $cfg_channel_w
			echo ""
			SetODUPara 0x0603 $cfg_channel_w
			echo ""
			# Set Daemon West ODU TxPower
			cfg_txpower_w=`grep "TXPOWER_WEST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
			echo -n "Set ODU West Txpower : " $cfg_txpower_w
			echo ""
			SetODUPara 0x0604 $cfg_txpower_w	
			echo ""
			# Set Daemon West ODU RxAlarmLevel
			cfg_rxalarmlevel_w=`grep "RXALARMLEVEL_WEST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
			echo -n "Set ODU West RxAlarmLevel : " $cfg_rxalarmlevel_w
			echo ""
			SetODUPara 0x061F $cfg_rxalarmlevel_w
			echo ""
			# Set Daemon West ODU TxSwitch : ON
			##cfg_txswitch_w=`grep "TXSWITCH_WEST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
			echo -n "Set ODU West TxSwitch : " "1"
			echo ""
			SetODUPara 0x0620 1
			echo ""
			#Set Daemon East ODU TxSwitch : OFF
			##cfg_txswitch_e=`grep "TXSWITCH_EAST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
			echo -n "Set ODU East TxSwitch : " "0"
			echo ""
			SetODUPara 0x0520 0
			echo ""
			# Set Daemon ForceTx : None
			echo -n "Setup IDU Force Tx : " '0'
			echo ""
			SetFPGAPara 0x0410 0
			echo ""
			# Set TxMode :  West
			echo -n "Setup IDU TxMode : " '1'
			echo ""
			SetFPGAPara 0x040E 1
			echo ""
		fi
		# Set Daemon ForceRx
		cfg_IDU_Force_Rx=`grep "FORCE_RX_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
		echo -n "Setup IDU Force Rx : " $cfg_IDU_Force_Rx
		echo ""
		SetFPGAPara 0x0411 $cfg_IDU_Force_Rx
		echo ""
		# ForceRx on West
		if [ $cfg_IDU_Force_Rx = '1' ]; then
			# Nothing to do
			echo " "
		# ForceRx on East
		elif [ $cfg_IDU_Force_Rx = '2' ]; then
			# Nothing to do
			echo " "
		# ForceRx None
		elif [ $cfg_IDU_Force_Rx = '0' ]; then
			# Set Daemon BranchSel : West
			echo -n "Setup BranchSel : " '0'
			echo ""
			SetFPGAPara 0x040D 0
			echo ""
		fi	
	fi
	
	# --------------------------- OLD Shit -----------------------------------------------
#	# Set Daemon Force Tx
#	cfg_IDU_Force_Tx=`grep "FORCE_TX_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
#	echo -n "Setup IDU Force Tx : " $cfg_IDU_Force_Tx
#	/home/PDH/agent_setup 0x0410 $cfg_IDU_Force_Tx
#	echo ""
#	# Set Daemon Force Rx
#	cfg_IDU_Force_Rx=`grep "FORCE_RX_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
#	echo -n "Setup IDU Force Rx : " $cfg_IDU_Force_Rx
#	/home/PDH/agent_setup 0x0411 $cfg_IDU_Force_Rx
#	echo ""
#	# Set Daemon TxMode : Tx_West
#	##cfg_IDU_TxMode=`grep "TXMOD=" ./PDH_IDU.conf | cut -f2 -d"="`
#	echo -n "Setup TxMode : " '1'
#	/home/PDH/agent_setup 0x040E 1
#	echo ""
#	# Set Daemon BranchSel : Rx_Auto
#	##cfg_IDU_BRANCHSEL=`grep "BRANCHSEL_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
#	echo -n "Setup BranchSel : " '2'
#	/home/PDH/agent_setup 0x040D 2
#	echo ""
	# -------------------------------------------------------------------------------------
fi
######################################################################
#																				#
# 2 + 0 																                        #
# 																				#
######################################################################
if [ $cfg_IDU_mode = '2' ]; then
	#----------------------- ODU West -----------------------------------------------
	# Set Daemon West ODU Channel
	cfg_channel_w=`grep "CHANNEL_WEST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Set ODU West Channel : " $cfg_channel_w
	echo ""
	SetODUPara 0x0603 $cfg_channel_w
	echo ""
	# Set Daemon West ODU TxPower
	cfg_txpower_w=`grep "TXPOWER_WEST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Set ODU West Txpower : " $cfg_txpower_w
	echo ""
	SetODUPara 0x0604 $cfg_txpower_w
	echo ""
	# Set Daemon West ODU RxAlarmLevel
	cfg_rxalarmlevel_w=`grep "RXALARMLEVEL_WEST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Set ODU West RxAlarmLevel : " $cfg_rxalarmlevel_w
	echo ""
	SetODUPara 0x061F $cfg_rxalarmlevel_w
	echo ""
	# Set Daemon West ODU TxSwitch
	cfg_txswitch_w=`grep "TXSWITCH_WEST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Set ODU West TxSwitch : " $cfg_txswitch_w
	echo ""
	SetODUPara 0x0620 $cfg_txswitch_w
	echo ""
	#----------------------- ODU East -----------------------------------------------
	# Set Daemon East ODU Channel
	cfg_channel_e=`grep "CHANNEL_EAST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Set ODU East Channel : " $cfg_channel_e
	echo ""
	SetODUPara 0x0503 $cfg_channel_e
	echo ""
	# Set Daemon East ODU TxPower
	cfg_txpower_e=`grep "TXPOWER_EAST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Set ODU East Txpower : " $cfg_txpower_e
	echo ""
	SetODUPara 0x0504 $cfg_txpower_e
	echo ""
	# Set Daemon East ODU RxAlarmLevel
	cfg_rxalarmlevel_e=`grep "RXALARMLEVEL_EAST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Set ODU East RxAlarmLevel : " $cfg_rxalarmlevel_e
	echo ""
	SetODUPara 0x051F $cfg_rxalarmlevel_e
	echo ""
	#Set Daemon East ODU TxSwitch
	cfg_txswitch_e=`grep "TXSWITCH_EAST_ODU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Set ODU East TxSwitch : " $cfg_txswitch_e
	echo ""
	SetODUPara 0x0520 $cfg_txswitch_e
	echo ""
	# --------------------------- FPGA -----------------------------------------------
	# Set Daemon PortectMode : 2 + 0
	##cfg_IDU_mode=`grep "MODE_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Setup IDU Protect Mode : " '2'
	echo ""
	SetFPGAPara 0x0402 2
	echo ""	
	# Set Daemon SwitchMode : 2 (NONE)
	echo "Setup IDU SwitchMode :  2" 
	echo ""
	SetFPGAPara 0x040F 2
	echo ""
	# Set Daemon TxMode : Tx_West_East
	##cfg_IDU_TxMode=`grep "TXMOD=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Setup TxMode : " '3'
	echo ""
	SetFPGAPara 0x040E 3
	echo ""
	# Set Daemon AOV West
	cfg_IDU_AOV_W=`grep "AOV_W_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Setup AOV West : " $cfg_IDU_AOV_W
	echo ""
	SetFPGAPara 0x0409 $cfg_IDU_AOV_W
	echo ""
	# Set Daemon AOV East
	cfg_IDU_AOV_E=`grep "AOV_E_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Setup AOV East : " $cfg_IDU_AOV_E
	echo ""	
	SetFPGAPara 0x040A $cfg_IDU_AOV_E
	echo ""
	# Set Daemon Xc
	cfg_IDU_xc=`grep "XC_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Setup IDU Xc : " $cfg_IDU_xc
	/home/PDH/setup_xc.sh 0x041F $cfg_IDU_xc
	echo ""
	# Set Daemon ATPC West 
	cfg_IDU_ATPC_WEST=`grep "ATPC_WEST_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Setup ATPC West : " $cfg_IDU_ATPC_WEST
	echo ""
	SetFPGAPara 0x0420 $cfg_IDU_ATPC_WEST
	echo ""
	# Set Daemon ATPC MAX ReLevel West
	cfg_IDU_ATPC_Max_RxLevel_West=`grep "ATPC_MAX_RXLEVEL_WEST_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Setup ATPC West MAX RxLevel : " $cfg_IDU_ATPC_Max_RxLevel_West
	echo ""
	SetFPGAPara 0x042A $cfg_IDU_ATPC_Max_RxLevel_West
	echo ""
	# Set Daemon ATPC MIN RxLevel West
	cfg_IDU_ATPC_Min_RxLevel_West=`grep "ATPC_MIN_RXLEVEL_WEST_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Setup ATPC West MIN RxLevel : " $cfg_IDU_ATPC_Min_RxLevel_West
	echo ""
	SetFPGAPara 0x042B $cfg_IDU_ATPC_Min_RxLevel_West
	echo ""
	# Set Daemon ATPC East 
	cfg_IDU_ATPC_EAST=`grep "ATPC_EAST_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Setup ATPC East : " $cfg_IDU_ATPC_EAST
	echo ""
	SetFPGAPara 0x0429 $cfg_IDU_ATPC_EAST
	echo ""
	# Set Daemon ATPC MAX ReLevel East
	cfg_IDU_ATPC_Max_RxLevel_East=`grep "ATPC_MAX_RXLEVEL_EAST_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Setup ATPC East MAX RxLevel : " $cfg_IDU_ATPC_Max_RxLevel_East
	echo ""
	SetFPGAPara 0x042C $cfg_IDU_ATPC_Max_RxLevel_East
	echo ""
	# Set Daemon ATPC MIN RxLevel East
	cfg_IDU_ATPC_Min_RxLevel_East=`grep "ATPC_MIN_RXLEVEL_EAST_IDU=" ./PDH_IDU.conf | cut -f2 -d"="`
	echo -n "Setup ATPC East MIN RxLevel : " $cfg_IDU_ATPC_Min_RxLevel_East
	echo ""
	SetFPGAPara 0x042D $cfg_IDU_ATPC_Min_RxLevel_East
	echo ""
	# Set FreeE1Loop
	## No Entry
fi

#
# Additional Option
# For V0.0.18 of this file , For PDH_SP2_NMS_V0012_20080606
# 
echo "Entry /home/PDH"
cd /home/PDH
rootfile=`ls -1 root`
echo $rootfile
if [ $rootfile == "root" ]; then
	echo "copy /home/PDH/root to /var/spool/cron/crontabs/"
	cp /home/PDH/root /var/spool/cron/crontabs/
else
	echo "/home/PDH/root not found"
fi

#
# Additional Oprion
# For V0.0.22 of this file , For PDH_SP2_NMS_V0018_20080806
#
echo "Update ptf_v47"
cp -a /home/PDH/ptf_v47  /home/PTF
echo "Update ptf -> ptf_v47"
rm -f /home/PTF/ptf
cp -a /home/PDH/ptf /home/PTF


# Update config file ( bugs )
TAG_NAME=`grep "SOFT_VER_SYS=" /home/PDH/SW_VER.conf | cut -f2 -d"="`
TAG_STRING="/home/PDH/$TAG_NAME"
#ls $TAG_STRING 2> /dev/null
#if [ $? = 0 ]; then
#	echo -n "NMS Ver : " $cfg_SYS_NMSVer 
#	echo ""
#	mv -f /home/PDH/oem.conf /home/config/
#	mv -f /home/PDH/dry.conf /home/config/
#	mv -f /home/PDH/etherport.conf /home/config/
#	mv -f /home/PDH/cli.conf /home/config/
#	mv -f /home/PDH/snmp_misc.conf /home/config/
#	mv -f /home/PDH/mac_man.conf /home/config/
#	mv -f /home/PDH/product.conf /home/config/
#	mv -f /home/PDH/password.conf /home/config/
#	didi=`ls $TAG_STRING`
#	if [ $didi = $TAG_STRING ]; then
#		mv -f /home/PDH/snmpd.conf /home/config/
#		ln -s -f /home/config/snmpd.conf /home/PDH/snmpd.conf
#		rm -f $TAG_STRING
#	else
#		echo ""
#	fi
#fi
# ln snmpd.conf and snmp_misc.conf 
#	ln -s -f /home/config/oem.conf /home/config/snmp_misc.conf
#	ln -s -f /home/config/oem.conf /home/config/snmpd.conf
# config dry contact 1 : phase reverse
cfg_dry1_phase_reverse=`grep "DRY_1_PHASE_REVERSE=" /home/config/dry.conf | cut -f2 -d"="`
echo -n "Setup Dry Contact 1 Phase Reverse : " $cfg_dry1_phase_reverse
echo ""
SetFPGAPara 0x0302 $cfg_dry1_phase_reverse
# config dry contact 1 : output 
cfg_dry1_output=`grep "DRY_1_OUTPUT=" /home/config/dry.conf | cut -f2 -d"="`
echo -n "Setup Dry Contact 1 Output : " $cfg_dry1_output
echo ""
SetFPGAPara 0x0303 $cfg_dry1_output
# config dry contact 2 : phase reverse
cfg_dry2_phase_reverse=`grep "DRY_2_PHASE_REVERSE=" /home/config/dry.conf | cut -f2 -d"="`
echo -n "Setup Dry Contact 2 Phase Reverse : " $cfg_dry2_phase_reverse
echo ""
SetFPGAPara 0x0305 $cfg_dry2_phase_reverse
# config dry contact 2 : output
cfg_dry2_output=`grep "DRY_2_OUTPUT=" /home/config/dry.conf | cut -f2 -d"="`
echo -n "Setup Dry Contact 2 Output : " $cfg_dry2_output
echo ""
SetFPGAPara 0x0306 $cfg_dry2_output


# config NMS Port0 : Auto Negotiation
cfg_nms_port0_an=`grep "NMS_PORT0_AN=" /home/config/etherport.conf | cut -f2 -d"="`
echo -n "Setup NMS Port0 Auto Negotiation : " $cfg_nms_port0_an
echo ""
SetFPGAPara 0x0703 $cfg_nms_port0_an

if [ $cfg_nms_port0_an = '0' ]; then

   # config NMS Port0 : Speed
   cfg_nms_port0_speed=`grep "NMS_PORT0_SPEED=" /home/config/etherport.conf | cut -f2 -d"="`
   echo -n "Setup NMS Port0 Speed : " $cfg_nms_port0_speed
   echo ""
   SetFPGAPara 0x0701 $cfg_nms_port0_speed

   # config NMS Port0 : Duplex
   cfg_nms_port0_duplex=`grep "NMS_PORT0_DUPLEX=" /home/config/etherport.conf | cut -f2 -d"="`
   echo -n "Setup NMS Port0 Duplex : " $cfg_nms_port0_duplex
   echo ""
   SetFPGAPara 0x0702 $cfg_nms_port0_duplex
fi

# config NMS Port0 : Max Frame Length
cfg_nms_port0_mfl=`grep "NMS_PORT0_MFL=" /home/config/etherport.conf | cut -f2 -d"="`
echo -n "Setup NMS Port0 Max Frame Length : " $cfg_nms_port0_mfl
echo ""
SetFPGAPara 0x0704 $cfg_nms_port0_mfl

# config NMS Port0 : Flow Control
cfg_nms_port0_fc=`grep "NMS_PORT0_FC=" /home/config/etherport.conf | cut -f2 -d"="`
echo -n "Setup NMS Port0 Flow Control : " $cfg_nms_port0_fc
echo ""
SetFPGAPara 0x0705 $cfg_nms_port0_fc


# config NMS Port1 : Auto Negotiation
cfg_nms_port1_an=`grep "NMS_PORT1_AN=" /home/config/etherport.conf | cut -f2 -d"="`
echo -n "Setup NMS Port1 Auto Negotiation : " $cfg_nms_port1_an
echo ""
SetFPGAPara 0x0803 $cfg_nms_port1_an

if [ $cfg_nms_port1_an = '0' ]; then
   # config NMS Port1 : Speed
   cfg_nms_port1_speed=`grep "NMS_PORT1_SPEED=" /home/config/etherport.conf | cut -f2 -d"="`
   echo -n "Setup NMS Port1 Speed : " $cfg_nms_port1_speed
   echo ""
   SetFPGAPara 0x0801 $cfg_nms_port1_speed
   # config NMS Port1 : Duplex
   cfg_nms_port1_duplex=`grep "NMS_PORT1_DUPLEX=" /home/config/etherport.conf | cut -f2 -d"="`
   echo -n "Setup NMS Port1 Duplex : " $cfg_nms_port1_duplex
   echo ""
   SetFPGAPara 0x0802 $cfg_nms_port1_duplex
fi

# config NMS Port1 : Max Frame Length
cfg_nms_port1_mfl=`grep "NMS_PORT1_MFL=" /home/config/etherport.conf | cut -f2 -d"="`
echo -n "Setup NMS Port1 Max Frame Length : " $cfg_nms_port1_mfl
echo ""
SetFPGAPara 0x0804 $cfg_nms_port1_mfl
# config NMS Port1 : Flow Control
cfg_nms_port1_fc=`grep "NMS_PORT1_FC=" /home/config/etherport.conf | cut -f2 -d"="`
echo -n "Setup NMS Port1 Flow Control : " $cfg_nms_port1_fc
echo ""
SetFPGAPara 0x0805 $cfg_nms_port1_fc


# config IP Port0 : Auto Negotiation
cfg_ip_port0_an=`grep "IP_PORT0_AN=" /home/config/etherport.conf | cut -f2 -d"="`
echo -n "Setup IP Port0 Auto Negotiation : " $cfg_ip_port0_an
echo ""
SetFPGAPara 0x0903 $cfg_ip_port0_an

if [ $cfg_ip_port0_an = '0' ]; then
   # config IP Port0 : Speed
   cfg_ip_port0_speed=`grep "IP_PORT0_SPEED=" /home/config/etherport.conf | cut -f2 -d"="`
   echo -n "Setup IP Port0 Speed : " $cfg_ip_port0_speed
   echo ""
   SetFPGAPara 0x0901 $cfg_ip_port0_speed
   # config IP Port0 : Duplex
   cfg_ip_port0_duplex=`grep "IP_PORT0_DUPLEX=" /home/config/etherport.conf | cut -f2 -d"="`
   echo -n "Setup IP Port0 Duplex : " $cfg_ip_port0_duplex
   echo ""
   SetFPGAPara 0x0902 $cfg_ip_port0_duplex
fi

# config IP Port0 : Max Frame Length
cfg_ip_port0_mfl=`grep "IP_PORT0_MFL=" /home/config/etherport.conf | cut -f2 -d"="`
echo -n "Setup IP Port0 Max Frame Length : " $cfg_ip_port0_mfl
echo ""
SetFPGAPara 0x0904 $cfg_ip_port0_mfl
# config IP Port0 : Flow Control
cfg_ip_port0_fc=`grep "IP_PORT0_FC=" /home/config/etherport.conf | cut -f2 -d"="`
echo -n "Setup IP Port0 Flow Control : " $cfg_ip_port0_fc
echo ""
SetFPGAPara 0x0905 $cfg_ip_port0_fc



# config IP Port1 : Auto Negotiation
cfg_ip_port1_an=`grep "IP_PORT1_AN=" /home/config/etherport.conf | cut -f2 -d"="`
echo -n "Setup IP Port1 Auto Negotiation : " $cfg_ip_port1_an
echo ""
SetFPGAPara 0x0B03 $cfg_ip_port1_an

if [ $cfg_ip_port1_an = '0' ]; then
   # config IP Port1 : Speed
   cfg_ip_port1_speed=`grep "IP_PORT1_SPEED=" /home/config/etherport.conf | cut -f2 -d"="`
   echo -n "Setup IP Port1 Speed : " $cfg_ip_port1_speed
   echo ""
   SetFPGAPara 0x0B01 $cfg_ip_port1_speed
   # config IP Port1 : Duplex
   cfg_ip_port1_duplex=`grep "IP_PORT1_DUPLEX=" /home/config/etherport.conf | cut -f2 -d"="`
   echo -n "Setup IP Port1 Duplex : " $cfg_ip_port1_duplex
   echo ""
   SetFPGAPara 0x0B02 $cfg_ip_port1_duplex
fi

# config IP Port1 : Max Frame Length
cfg_ip_port1_mfl=`grep "IP_PORT1_MFL=" /home/config/etherport.conf | cut -f2 -d"="`
echo -n "Setup IP Port1 Max Frame Length : " $cfg_ip_port1_mfl
echo ""
SetFPGAPara 0x0B04 $cfg_ip_port1_mfl
# config IP Port1 : Flow Control
cfg_ip_port1_fc=`grep "IP_PORT1_FC=" /home/config/etherport.conf | cut -f2 -d"="`
echo -n "Setup IP Port1 Flow Control : " $cfg_ip_port1_fc
echo ""
SetFPGAPara 0x0B05 $cfg_ip_port1_fc











