#!/bin/sh

# version=1.0 
# date=20101020

DIR="/home/config"

# chPara(): $1 file,$2 para
chPara(){
	local findresult="`grep "$2=" $DIR/oem.conf | cut -f2 -d"="`";
	local new=${findresult};
	findresult="`grep "$2=" $DIR/$1 | cut -f2 -d"="`";
	local old=${findresult};
	sed -i -e "s|$2=$old|$2=$new|g" $DIR/$1
}

# chPara_snmpd(): $1 para
chPara_snmpd(){
	local findresult="`grep $1 $DIR/oem.conf | tail -n 1 | cut -f2 -d"="`"
	local new=${findresult}	
	findresult="`grep $1 $DIR/snmpd.conf | tail -n 1`"
	local old=${findresult}
	sed -i -e "s|$old|$1  $new|g" $DIR/snmpd.conf
}

#update the mac_man.conf to MAC.conf
update_mac(){
	local man=`grep -s "cfg_man=" /home/config/mac_man.conf | cut -f2 -d"="`
	local old_mac=`grep -s "$1=" /home/config/MAC.conf | cut -f2 -d"="`
	local new_mac_low=`echo $old_mac | tail -c 7`
	sed -i -e "s|$1=$old_mac|$1=$man$new_mac_low|g" /home/config/MAC.conf
}

chPara snmp_misc.conf snmp_email
chPara snmp_misc.conf snmp_web
chPara snmp_misc.conf snmp_trapport
chPara PDH_IDU.conf PRODUCT_NAME_SYS
chPara PDH_IDU.conf PRODUCT_DESCRIPTION_SYS
chPara mac_man.conf def_man
chPara mac_man.conf cfg_man
chPara_snmpd syscontact
chPara_snmpd sysdescr
chPara_snmpd sysname 
chPara_snmpd rocommunity
chPara_snmpd rwcommunity 
update_mac IDU_HWADDR
