#!/bin/sh

# VER = 1 	2010-01-18 	generate short.ssn
# 				output :
# 					ERRPR:0 : OK 
# 					ERROR:1 : short.ssn file does not exist


PATH_CONF=/home/config
PATH_BIN=/home/PDH
PATH_SH=/home/PDH
SSN_VER=001

chPara(){
        local findresult="`grep "$1=" $PATH_CONF/short.ssn | cut -f2 -d"="`";
        local old=${findresult};
        sed -i -e "s|$1=$old|$1=$2|g" $PATH_CONF/short.ssn 2>/dev/NULL
}


if [ -f $PATH_CONF/short.ssn ]; then
	SSN_FLAG=1
	break
else
#	echo "ERROR:1"
	SSN_FLAG=0
	rm -f $PATH_CONF/short.ssn 2>/dev/NULL
	touch $PATH_CONF/short.ssn
	chmod 777 $PATH_CONF/short.ssn
	echo "#SSNVER=" >> $PATH_CONF/short.ssn
	echo "#SSNDATE=" >> $PATH_CONF/short.ssn
	echo "#SSNADDR=Skyway-Telecom-Bj-China" >> $PATH_CONF/short.ssn
	echo " " >> $PATH_CONF/short.ssn
	echo "#SSNSTR1=" >> $PATH_CONF/short.ssn
	echo "ERROR:1"
fi

if [ -f $PATH_CONF/SerNum.conf ]; then
	break
else
	$PATH_SH/gen-SerNum.sh > /dev/NULL 2>&1
fi

case $SSN_VER in 
	001)
		# 1
		chPara SSNVER $SSN_VER
		# 2
		DD=`date +%Y-%m-%d-%H:%M`
		chPara SSNDATE $DD
		
		# жǷѾعlicense.
		if [ -f $PATH_CONF/license.dat ]; then
			FLAG=1
		else
			FLAG=0
		fi
		
		# licenseʱ
		if [ $SSN_FLAG = 1 ]; then # кļڵǰ
			DOWN_LIC=`grep "SSNSTR" $PATH_CONF/short.ssn | cut -f7 -d","`
			echo "$DOWN_LIC"
			if [ $? = 2 ]; then
				sed -i -e '/#SSNSTR1=/d' $PATH_CONF/short.ssn
				echo "#SSNSTR1=" >> $PATH_CONF/short.ssn
				DOWN_LIC="-"
			elif [ "`echo $DOWN_LIC | cut -f1 -d"="`" = "#SSNSTR1" ]; then
				sed -i -e "s/,$DOWN_LIC/,-/" $PATH_CONF/short.ssn
				DOWN_LIC="-"
			fi
			if [ "$DOWN_LIC" = "" ]; then
				DOWN_LIC="-"
			fi
		else # кļʱ
			if [ $FLAG = 1 ]; then
				DOWN_LIC=$DD
			else
				DOWN_LIC="-"
			fi
		fi
		
		# 3
		# 4
		ARM_ID=`grep "ARM_SN=" $PATH_CONF/SerNum.conf | cut -f2 -d"="`
		FPGA_ID=`grep "FPGA_SN=" $PATH_CONF/SerNum.conf | cut -f2 -d"="`
		SN_ID=`grep "IDU_SN=" $PATH_CONF/SerNum.conf | cut -f2 -d"="`
		PN_ID=`grep "IDU_PN=" $PATH_CONF/SerNum.conf | cut -f2 -d"="`
		STR=`echo -n $ARM_ID,$FPGA_ID,$SN_ID,$PN_ID,$DD,$FLAG,$DOWN_LIC`
		chPara SSNSTR1 $STR
		echo "ERROR:0"
		break
		;;
	*)
		;;

esac




