#!/bin/sh

# VER = 1 		2010-01-22 		import license file on startup , invoked by startup_app.sh


__FILE__="[import_license.sh] "

PATH_SH=/home/PDH
PATH_BIN=/home/PDH
PATH_CONF=/home/config
LICENSE_FILE_NAME=license.dat
SERNUM_FILE_NAME=SerNum.conf

# seek if license.dat exist
if [ -f $PATH_CONF/$LICENSE_FILE_NAME ]; then
	break
else
	echo "Not found " $LICENSE_FILE_NAME " in " $PATH_CONF"/"
	# remenber to add log
	exit
fi

LIC_VER=`grep "LICVER=" $PATH_CONF/$LICENSE_FILE_NAME | cut -f2 -d"="`

case $LIC_VER in 
	001)
		# if license match with IDU
		LIC_ARM_ID=`grep "ARM_ID=" $PATH_CONF/$LICENSE_FILE_NAME | cut -f2 -d"="`
		SER_ARM_ID=`grep "ARM_SN=" $PATH_CONF/$SERNUM_FILE_NAME | cut -f2 -d"="`
		if [ $LIC_ARM_ID = $SER_ARM_ID ]; then
			break
		else
			echo $PATH_CONF/$LICENSE_FILE_NAME " does not match with IDU"
			# remember to add log
			exit
		fi

		# write sign (of Feature Basi)c to FPGA
		LIC_FEATURE_BASIC=`grep "FEATURE_BASIC" $PATH_CONF/$LICENSE_FILE_NAME | cut -f2 -d"="`
		$PATH_BIN/import_license -f $LIC_FEATURE_BASIC
		
		;;
	*)
		echo "Unkown license file format " $LIC_VER
		# remember to log
		exit
		;;
esac


