#!/bin/sh

# ------------------------------------------------------
#	2007-12-24		v2
#						Save ODU Channel 			West
#						Save ODU TxPower 			West
#						Save ODU RxAlarmLevel 	West
#						Save ODU TxSwitch		 	West
#						Save ODU Channel 			East
#						Save ODU TxPower 			East
#						Save ODU RxAlarmLevel 	East
#						Save ODU TxSwitch 		East	
#	2008-02-22		v3
#						log		
#	2008-05-15		v4
#						modify log			
#------------------------------------------------------

#
# Display Hello World
#
VER=4

#
# Define Obj : PDH_IDU.conf == save.sh == setup_odu.sh
#	
OBJ_ODU_CHANNEL_WEST=0x0603
OBJ_ODU_TXPOWER_WEST=0x0604
OBJ_ODU_RXALARMLEVEL_WEST=0x061F
OBJ_ODU_TXSWITCH_WEST=0x0620
OBJ_ODU_CHANNEL_EAST=0x0503
OBJ_ODU_TXPOWER_EAST=0x0504
OBJ_ODU_RXALARMLEVEL_EAST=0x051F
OBJ_ODU_TXSWITCH_EAST=0x0520

#
#  Save Para  (Save to PDH_IDU.conf)
#
/home/PDH/save.sh $1 $2

#
#	log
#
/home/PDH/log.sh Log_Type_Set_ODU $1 $2

#
# Setup ODU
#  $1 : Object
#  $2 : data
/home/PDH/agent_setup $1 $2
