#!/bin/sh

# version=1.0 
# date=20101020

DIR="/home/config"

# chPara(): $1 file,$2 para
chPara(){
	local findresult="`grep "$2=" $DIR/oem.conf | cut -f2 -d"="`";
	local old=${findresult};
	findresult="`grep "$2=" $DIR/$1 | cut -f2 -d"="`";
	local new=${findresult};
	sed -i -e "s|$2=$old|$2=$new|g" $DIR/oem.conf
}

# chPara_snmpd(): $1 para
chPara_snmpd(){
	local findresult="`grep $1 $DIR/oem.conf | tail -n 1 | cut -f2 -d"="`"
	local old=${findresult}	
	local COUNT=2
	while [ "$COUNT" -le 6 ]
	do
		findresult="`grep $1 $DIR/snmpd.conf | tail -n 1 | cut -f$COUNT -d" "`"
		if [ -z $findresult ];then
			COUNT=$(($COUNT+1))
		else
			break
		fi
	done
	local new=${findresult}
	sed -i -e "s|$1=$old|$1=$new|g" $DIR/oem.conf
}

chPara snmp_misc.conf snmp_email
chPara snmp_misc.conf snmp_web
chPara snmp_misc.conf snmp_trapport
chPara PDH_IDU.conf PRODUCT_NAME_SYS
chPara PDH_IDU.conf PRODUCT_DESCRIPTION_SYS
chPara mac_man.conf def_man
chPara mac_man.conf cfg_man
chPara_snmpd syscontact
chPara_snmpd sysdescr
chPara_snmpd sysname 
chPara_snmpd rocommunity
chPara_snmpd rwcommunity
