#!/bin/sh

# ------------------------------------------------------
#	2007-11-09		v0.0.2
#						Save IDU Protect Mode
#						Save IDU E1Num_Local
#						Save IDU E1Num_W
#						Save IDU E1Num_E
#						Save IDU E1EthCfg_W
#						Save IDU E1EthCfg_E
#						Save IDU Xc						
#						Save IDU E1Malloc
#						Save IDU AOV_W
#						Save IDU AOV_E
#						Save IDU SwitchMode
#						Save IDU Force TX
#						Save IDU Force RX
#						Save IDU Switch TX
#						Save IDU Switch RX	
#	2008-01-30		V0.0.3
#						Save IDU BranchSel
#						Save IDU TxMode
#	2008-01-31		v0.0.4
#						change TXMODE_IDU to TXMOD_IDU
#	2008-02-22		v0.0.5
#						log ( no complete )
#	2008-03-05		v0.0.6
#						1+1Mode , Set EastE1Num , while Set WestE1Num
#						1+1Mode , Set EastE1EthCfg , while Set WestE1EthCfg
#	2008-04-26		v0.0.7
#						Add OBJ_ATPC*
#	2008-05-14		v0.0.8
#						if ProtectMode == 1+0 , then set SwitchMode = NONE
#						if ProtectMode == 2+0 , then set SwitchMode = NONE
#	2008-05-15		v0.0.9
#						modify log
#------------------------------------------------------

#
# Display Hello World
#
VER=0.0.9

#
# Define Obj : PDH_IDU.conf == save.sh == setup_idu.sh
#	
OBJ_IDU_MODE=0x0402
OBJ_IDU_E1_NUM_L=0x0002									# undefined for User
OBJ_IDU_E1_NUM_W=0x0419
OBJ_IDU_E1_NUM_E=0x041C
OBJ_IDU_ETH_CFG_W=0x041A
OBJ_IDU_ETH_CFG_E=0x041D
OBJ_IDU_XC=0x041F
OBJ_IDU_E1_MALLOC_W=0x0008								# undefined for User
OBJ_IDU_E1_MALLOC_E=0x0009								# undefined for User
OBJ_IDU_E1_MALLOC_L=0x000A								# undefined for User
OBJ_IDU_AOV_W=0x0409
OBJ_IDU_AOV_E=0x040A
OBJ_IDU_BRANCHSEL=0x040D
OBJ_IDU_TXMOD=0x040E
OBJ_IDU_SWITCHMODE=0x040F
OBJ_IDU_FORCE_TX=0x0410
OBJ_IDU_FORCE_RX=0x0411
OBJ_IDU_SWITCH_TX=0x0412
OBJ_IDU_SWITCH_RX=0x0413
OBJ_IDU_ATPC_WEST=0x0420
OBJ_IDU_ATPC_EAST=0x0429
OBJ_IDU_ATPC_MAX_RXLEVEL_WEST=0x042A
OBJ_IDU_ATPC_MIN_RXLEVEL_WEST=0x042B
OBJ_IDU_ATPC_MAX_RXLEVEL_EAST=0x042C
OBJ_IDU_ATPC_MIN_RXLEVEL_EAST=0x042D

#
#  Save Para  (Save to PDH_IDU.conf)
#
/home/PDH/save.sh $1 $2

#
#	log
#
/home/PDH/log.sh Log_Type_Set_IDU $1 $2

#
# Setup IDU $1 : Object $2 : data
# 
/home/PDH/agent_setup $1 $2


# get IDU ProtectMode
idu_pm=`grep -s "MODE_IDU=" /home/PDH/PDH_IDU.conf | cut -f2 -d"="`
#echo -n "IDU ProtectMode : " $idu_pm
# 1+1 mode 
if [ $idu_pm = '1' ]; then
	# Set EastE1Num , while Set WestE1Num
	if [ $1 = $OBJ_IDU_E1_NUM_W ]; then
		/home/PDH/setup_idu.sh $OBJ_IDU_E1_NUM_E $2
	fi
	# Set EastE1EthNum , while Set WestE1EthNum
	if [ $1 = $OBJ_IDU_ETH_CFG_W ]; then
		/home/PDH/setup_idu.sh $OBJ_IDU_ETH_CFG_E $2
	fi
fi


if [ $1 = $OBJ_IDU_MODE ]; then
	if [ $2 = '0' ]; then
		# Set SwitchMode = NONE
		/home/PDH/setup_idu.sh $OBJ_IDU_SWITCHMODE 2
	elif [ $2 = '2' ]; then
		# Set SwitchMode = NONE
		/home/PDH/setup_idu.sh $OBJ_IDU_SWITCHMODE 2
	fi
fi
